/*
 * XdccDownloader - GenericError.java - Copyright © 2013 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.xdcc.core.event;

/**
 * Generic error message for all consoles.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class GenericError {

	/** The message. */
	private final String errorMessage;

	/**
	 * Creates a new generic error message event.
	 *
	 * @param errorMessage
	 * 		The error message
	 */
	public GenericError(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	//
	// ACCESSORS
	//

	/**
	 * Returns the message.
	 *
	 * @return The message
	 */
	public String message() {
		return errorMessage;
	}

}
